*,
*::before,
*::after{
    margin: 0;
    padding: 0;
}
html{
    font-size:10px;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}
a{
    display: block;
    text-decoration: none;
} 
 .container{
    max-width: 98rem;
    margin: 0 auto;
    padding: 0 2.2rem;
}

header{
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1400;
    height: 4.4rem;
    background-color: rgba(0, 0, 0, 0.8);
    backdrop-filter: blur(2rem);
}
.nav-list{
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0 -1rem;
}
.nav-list-mobile{
    display: none;
}

.nav-link{
    font-size: 1.4rem;
    color:#ffffff;
    padding: 0 1rem;
    transition: opacity 0.5s;

}
.nav-link:hover{
    opacity: 0.7;

}
.nav-link-apple{
    width:1.6rem;
    background: url("images/icons/apple.svg") center no-repeat;
    height: 4.4rem;;
}
.nav-link-search{
    width:1.6rem;
    background:url("images/icons/search.svg") center no-repeat;
    height: 4.4rem;
}

.nav-link-bag{
    width:1.6rem;
    background:url("images/icons/bag.svg") center no-repeat;
    height: 4.4rem;
}
.iphone-11-pro{
    background: url("images/hero/iphone-11-pro/iphone_11_pro_large.jpg");
    margin-top: 4.4rem;
    border-top: none;
}
.hero{
    height: 69.2rem;
    background-size: auto 73.6rem;
    background-position: center;
    background-repeat: no-repeat;
    /* border-top: 0.6rem solid #ffffff; */
    border-bottom: 0.6rem solid #ffffff;
}
.title{
    color: #ffffff;
    text-align: center;
    padding-top: 5.5rem;

}
.title-heading{
    font-size: 5.6rem;
    line-height: 1.07143;
    letter-spacing: -0.005rem;
}
.title-sub-heading{
    font-size: 2.65rem;
    margin: 0.6rem;
    letter-spacing: 0.008rem;
    font-weight: 400;
}

.title-price{
    font-size: 1.7rem;
    color: #ffffff;
    margin-top: 0.68rem;
}
.cta{
    text-align: center;
    margin-top: 1.8rem;

}
.cta-link{
    color: #66bbff;
    font-size: 2.1rem;
    display: inline-block;
}
.cta-link:nth-child(2){
    margin-left: 2.6rem;
}
.cta-link:hover{
    border-bottom: 2px solid #66bbff;
}
.iphone-11{
    background: url(images/hero//iphone-11/iphone_11_large.jpg) center no-repeat;
}
.title-dark{
    color: #000;

}
.cta-link-darker{
    color: #0070c9;
}
.cta-link-darker{
    border-bottom-color: #0070c9;
}
.watch{
    background: url("images/hero/watch/watch_large.jpg") center no-repeat;
}
.title-heading-watch{
    height: 7.8rem;
    background: url("images/hero/watch/logo_watch_large.png") center no-repeat;
    background-size: auto 7.8rem;
    margin-top: 1.6rem;
}


@media screen and (max-width:1068px) {
    .iphone-11-pro{
        background: url(images/hero/iphone-11-pro/iphone_11_pro_medium.jpg);
    }
    .iphone-11{
        background-color: url(images/hero/iphone-11/iphone_11_medium.jpg);
    }
    .watch{
        background-color: url(images/hero/watch/watch_medium.jpg);
    }

    .hero{
        height:  65rem;
        background-size: auto 69.8rem;
        background-position: bottom center;
        background-repeat: no-repeat;
    }
    .title-heading{
        font-size: 4.4rem;

    }
    .title-sub-heading{
        font-size: 2.4rem;
    }
    .cta-link:nth-child(2){
        margin-left: 2rem;

    }
    .title-heading-watch{
        height: 6.2rem;
        background: url("images/hero/watch/logo_watch_medium.png") center no-repeat;
        background-size: auto 6.2rem;
    }
}

@media screen and (max-width:767px) {
    header{
        height: 4.8rem;
        transform: background 0.36s cubic-bezier(0.32,0.0/8,0.24,1) ,height 0.56s cubic-bezier(0.32,0.0/8,0.24,1);
    }

    header.container{
        padding:0;

    }
    .iphone-11-pro{
        margin-top: 4.8rem; 
    }
    .nav-list-larger{
        display: none;
        position: fixed;
        top: 0;
        bottom: 0;
        left: 0;
        width:0 ;
        height: 0;
        display: block;
        padding: 10.5rem 5rem;
        z-index:1000;
        box-sizing: border-box;
 opacity: 0;
 visibility: hidden; 
 transition: opacity 0.3s;


    }
    .nav-list{
        margin-top: 0;
    }
    .nav-list-mobile{
        display: flex;
    }
    .nav-item{
        width:4.8rem;
        height:4.8rem;
        display: flex;
        justify-content: center;

    }
    .nav-item-hidden{
        display: none;

    }
    .mobile-menu{
        position: relative;
        z-index: 1500;
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        cursor: pointer;

    }
    .line{
        position: absolute;
        width: 1.7rem;
        height: 1px;
        background-color: #ffffff;
        transition: margin-top 0.3192s cubic beizer(0.04 ,0.04,0.12, 0.96) ;
    }
    .line-top{
        margin-top: 3px;

    }
    .line-bottom{
        margin-top: -0.4rem;

    }
    .active .line-top{
        margin-top: 0;
        transform: rotate(45deg);
        transition: transform 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96);

    }
    .active .line-bottom{
        margin-top: 0;
        transform: rotate(-45deg);
        transition: transform 0.3192s cubic-bezier(0.04, 0.04, 0.12, 0.96);

    }

    header.active{
        height: 100%;
        background-color: #000;

    }
    .nav-link-apple
    {
        width: 1.8rem;
        height: 4.8rem;
        position: relative;
        z-index: 1500;
    }
    .nav-link-bag{
        width: 1.6rem;
        height: 4.8rem;
        transition: opacity 3s;

    }
    .nav{
        position: relative;
    }
    .nav-link{
        font-size: 1.7rem;
        padding: 0;
        margin: auto 0;
    }
    .active .nav-list-larger{
        width: 100%;
        height: 100vh;
        opacity: 1;
        visibility: visible;
    }
    .active .nav-link-bag{
        opacity: 0;
        transition: opacity 0.3s;
    }
    .nav-list-larger .nav-item{
        width: 100%;
        justify-content: flex-start;
        border-bottom:  2px soild rgba(255,255,255,0.1);
    }
    .nav-list-larger .nav-item:nth-child(9)
    {
        border-bottom: none;
    }
    .active .nav-list-larger .nav-item{
        animation: fade 1s ease-in;
    }

    @keyframes fade {
        from{
            opacity:0;
        }
        to{
            opacity:1;  
              }
        
    }

}
@media screen and (max-width:735px)
{
    .iphone-11-pro{
        background: url(images/hero/iphone-11-pro/iphone_11_pro_small.jpg);
    }
    .iphone-11{
        background-color: url(images/hero/iphone-11/iphone_11_small.jpg);
    }
    .watch{
        background-color: url(images/hero/watch/watch_small.jpg);
    }   
    .hero{
        height: 50rem;
        background-size: auto 54.8rem;
        background-position: bottom center;
        background-repeat: no-repeat;
    }
    .title{
        padding-top: 3.7rem;
    }
    .title-heading{
        font-size: 32rem;
    }
    .title-sub-heading{
        font-size: 1.9rem;
    }
    .title-heading-watch{
        margin-top: -0.5rem;
        margin-bottom: 0;
    }
    .title-price{
        font-size: 1.4rem;
    }
    .cta{
        margin-top:0.7rem;
    }
    .cta-link{
        font-size: 1.9rem;
    }
}